plotSmeDiagnostic {sme} | R Documentation

## Diagnostic plot of the residuals for a fitted smoothing-splines mixed-effects model

### Description

This type of plot is heavily inspired by Wu and Zhang (2006). A plot containing four panels is produced: (1) standardised residuals against fitted values, (2) standardised residuals against time, (3) standardised residuals against response and (4) a normal Q-Q plot of the standardised residuals. These plots can be used to assess how well the fitted model has accounted for the temporal correlation and between-subject variance in the data.

### Usage

    plotSmeDiagnostic(x)

### Arguments

`x` | an object inheriting from class `sme`, representing a fitted smoothing-splines mixed-effects model

### Value

A four panel plot as described above.

### Author(s)

Maurice Berk maurice@mauriceberk.com

### References

Berk, M. (2012). Smoothing-splines Mixed-effects Models in R. Preprint

Wu, H. and Zhang, J.-T. (2006). Nonparametric Regression Methods for Longitudinal Data Analysis. Wiley

### See Also

`plot.sme`, `plotSmeRaw`, `plotSmeModel`

### Examples

      data(MTB)
      fit <- sme(MTB[MTB$variable==6031,c("y","tme","ind")])
      plotSmeDiagnostic(fit)

[Package sme version 1.0.2 Index]